
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% figure10_r.m                                                            %
% Tyler Mixa, 11 July 2019                                                %
% plots figure 10 right panel                                             %
%                                                                         %
%   required input files:                                                 %
%       figure10r_data.mat                                                %
%                                                                         %
%   required scripts:                                                     %
%       subplot_tight.m                                                   %
%                                                                         %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 


clearvars
close all
clc
   
set(0,'DefaultFigureWindowStyle','docked')
set(0,'DefaultTextInterpreter', 'latex')

% set red-offwhitegray-blue colormap
num_contours = 500;
column1 = [0:.9/num_contours:.9,.9+.1/num_contours:.1/num_contours:1]';
column2 = [0:.9/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
column3 = [1:-.1/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
map = [column1,column2,column3];
colormap(map); 

load figure10r_data.mat


figure(1)
clf

box
cvals = -.15:.001:.15;
hold on

x_loc_list = [-3.5,-2,-.6,.5,1.5,2.93,4.5,5.8,7.25,9];
h8 = slice(ygrid/1000,xgrid2/1000,alt/1000,5*vort_x_double,[],x_loc_list,[]);
for k = 1:length(x_loc_list)
    h8(k).FaceColor = 'interp';
    h8(k).EdgeColor = 'none';
    h8(k).DiffuseStrength = 0.8;
    h8(k).FaceAlpha = 'interp';
end   

h1 = slice(ygrid/1000,xgrid2/1000,alt/1000,vort_y_double,.5,[],[]);
h1.FaceColor = 'interp';
h1.EdgeColor = 'none';
h1.DiffuseStrength = 0.8;

set(h8,'EdgeColor','none',...
'FaceColor','interp')
set(h1,'FaceAlpha','interp')
alpha(h1,'color')
set(h8,'FaceAlpha','interp')
alpha(h8,'color')
alim('default')
alphamap('vdown')
alphamap('increase',.7)
colormap(map)
caxis([-.1 .1])
axis equal
set(gca,'fontsize',15)
ylabel('Streamwise Domain [$km$]','fontsize',15)
xlabel('Spanwise Domain [$km$]','fontsize',15)
zlabel('Alt [$km$]','fontsize',15)
title('$\zeta_{x,y}$')
view(120,12)
daspect([.5 1.2 1])
xmin = -2;
xmax = 10.5;
altmin = 76;
altmax = 83;
axis([0,1,xmin, xmax, altmin,altmax])
