
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% figure13.m                                                              %
% Tyler Mixa, 11 July 2019                                                %
% plots figure 13                                                         %
%                                                                         %
%   required input files:                                                 %
%       figure13_data.mat                                                 %
%                                                                         %
%   required scripts:                                                     %
%       subplot_tight.m                                                   %
%                                                                         %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 


clearvars
close all
clc

set(0,'DefaultFigureWindowStyle','default')
set(0,'DefaultFigurePosition',[1 1 1000 700])
set(0,'DefaultTextInterpreter', 'latex')

load figure13_data.mat

tmin = 0;
tmax = 10;
altmin = 40;
altmax = 95;
spacing = [.14,.06];
spacing2 = [.01,0];

dim1 = [0.142 0.49 0.1 0.3];
dim2 = [0.43 0.49 0.1 0.3];
dim3 = [0.142 0.294 0.1 0.3];
dim4 = [0.43 0.294 0.1 0.3];
dim5 = [0.142 0.096 0.1 0.3];
dim6 = [0.43 0.096 0.1 0.3];

str1 = {'Case 1'};
str2 = {'Case 2'};
str3 = {'Case 3'};
str4 = {'Case 4'};
str5 = {'Case 5'};
str6 = {'Case 6'};


% set red-offwhitegray-blue colormap
num_contours = 500;
column1 = [0:.9/num_contours:.9,.9+.1/num_contours:.1/num_contours:1]';
column2 = [0:.9/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
column3 = [1:-.1/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
map = [column1,column2,column3];


h1 = figure(1);
h1.Position = [1 1 1000 700];
clf
colormap(gray(500))

subplot_tight(5,7,[9 10],spacing2)
surf(time_constant_sampling'./314,alt_constant_sampling/1000,du_interp_4,'FaceColor','interp','Edgecolor','interp')
view(0,90)
shading interp
caxis([-2.5 0])
c = colorbar;
c.Location = 'south';
c.Label.String = '$\Delta \overline{u}/U_0$'; 
c.Label.FontSize = 12;
c.Label.FontWeight = 'bold';
c.Label.Interpreter = 'latex';ylim([altmin altmax])
ylim([altmin altmax])
xlim([tmin tmax])
set(gca,'fontsize',10)
ylabel('Alt (km)','fontsize',15)
grid on; box on
set(gca,'layer','top','xtick',0:2:10,'ytick',40:10:90,'xticklabels', ' ')

annotation('textbox',dim1,'String',str1,'FitBoxToText','on',...
    'interpreter','latex','fontsize',15,'Edgecolor','none');

drawnow

subplot_tight(5,7,[11 12],spacing2)
surf(time_constant_sampling'./314,alt_constant_sampling/1000,du_interp_3,'FaceColor','interp','Edgecolor','interp')
view(0,90)
shading interp
caxis([-2.5 0]); 
c = colorbar;
c.Location = 'south';
c.Label.String = '$\Delta \overline{u}/U_0$'; 
c.Label.FontSize = 12;
c.Label.FontWeight = 'bold';
c.Label.Interpreter = 'latex';ylim([altmin altmax])
ylim([altmin altmax])
xlim([tmin tmax])
set(gca,'fontsize',10)
grid on; box on
set(gca,'layer','top','xtick',0:2:10,'ytick',40:10:90,'yticklabels',' ','xticklabels', ' ')
annotation('textbox',dim2,'String',str2,'FitBoxToText','on',...
    'interpreter','latex','fontsize',15,'Edgecolor','none');

drawnow

subplot_tight(5,7,[16 17],spacing2)

surf(time_constant_sampling'./314,alt_constant_sampling/1000,du_interp_2,'FaceColor','interp','Edgecolor','interp')
view(0,90)
shading interp
caxis([-2.5 0]); 
c = colorbar;
c.Location = 'south';
c.Label.String = '$\Delta \overline{u}/U_0$'; 
c.Label.FontSize = 12;
c.Label.FontWeight = 'bold';
c.Label.Interpreter = 'latex';ylim([altmin altmax])
ylim([altmin altmax])
xlim([tmin tmax])
set(gca,'fontsize',10)
ylabel('Alt (km)','fontsize',15)
grid on; box on
set(gca,'layer','top','xtick',0:2:10,'ytick',40:10:90,'xticklabels',' ')
annotation('textbox',dim3,'String',str3,'FitBoxToText','on',...
    'interpreter','latex','fontsize',15,'Edgecolor','none');

drawnow

subplot_tight(5,7,[18 19],spacing2)
surf(time_constant_sampling'./314,alt_constant_sampling/1000,du_interp_1,'FaceColor','interp','Edgecolor','interp')
view(0,90)
shading interp
caxis([-2.5 0]); 
c = colorbar;
c.Location = 'south';
c.Label.String = '$\Delta \overline{u}/U_0$'; 
c.Label.FontSize = 12;
c.Label.FontWeight = 'bold';
c.Label.Interpreter = 'latex';ylim([altmin altmax])
ylim([altmin altmax])
xlim([tmin tmax])
set(gca,'fontsize',10)
grid on; box on
set(gca,'layer','top','xtick',2:2:10,'ytick',40:10:90,'yticklabels',' ','xticklabels',' ')
annotation('textbox',dim4,'String',str4,'FitBoxToText','on',...
    'interpreter','latex','fontsize',15,'Edgecolor','none');

drawnow

subplot_tight(5,7,[23 24],spacing2)

surf(time_constant_sampling'./314,alt_constant_sampling/1000,du_interp_5,'FaceColor','interp','Edgecolor','interp')
view(0,90)
shading interp
caxis([-2.5 0]);
c = colorbar;
c.Location = 'south';
c.Label.String = '$\Delta \overline{u}/U_0$'; 
c.Label.FontSize = 12;
c.Label.FontWeight = 'bold';
c.Label.Interpreter = 'latex';ylim([altmin altmax])
ylim([altmin altmax])
xlim([tmin tmax])
set(gca,'fontsize',10)
xlabel('$T/T_{B}$','fontsize',15)
ylabel('Alt (km)','fontsize',15)
grid on; box on
set(gca,'layer','top','xtick',[0:2:10],'xticklabels',{'0','2','4','6','8','10'},'ytick',40:10:90)
annotation('textbox',dim5,'String',str5,'FitBoxToText','on',...
    'interpreter','latex','fontsize',15,'Edgecolor','none');

drawnow

subplot_tight(5,7,[25 26],spacing2)
surf(time_constant_sampling'./314,alt_constant_sampling/1000,du_interp_6,'FaceColor','interp','Edgecolor','interp')
view(0,90)
shading interp
caxis([-2.5 0]); 
c = colorbar;
c.Location = 'south';
c.Label.String = '$\Delta \overline{u}/U_0$'; 
c.Label.FontSize = 12;
c.Label.FontWeight = 'bold';
c.Label.Interpreter = 'latex';ylim([altmin altmax])
ylim([altmin altmax])
xlim([tmin tmax])
set(gca,'fontsize',10)
xlabel('$T/T_{B}$','fontsize',15)
grid on; box on
set(gca,'layer','top','xtick',2:2:10,'ytick',40:10:90,'yticklabels',' ')

annotation('textbox',dim6,'String',str6,'FitBoxToText','on',...
    'interpreter','latex','fontsize',15,'Edgecolor','none');

drawnow






%% all of them

time_index = 101;

subplot_tight(5,7,[13:14,20:21,27:28],[.01 0.08])
plot(du_interp_4(:,time_index),alt_constant_sampling/1000,'k-','Linewidth',2)
hold on
plot(du_interp_3(:,time_index),alt_constant_sampling/1000,'k:','Linewidth',3)
plot(du_interp_2(:,time_index),alt_constant_sampling/1000,'r-','Linewidth',2)
plot(du_interp_1(:,time_index),alt_constant_sampling/1000,'r:','Linewidth',2)
plot(du_interp_5(:,time_index),alt_constant_sampling/1000,'b-','Linewidth',2)
plot(du_interp_6(:,time_index),alt_constant_sampling/1000,'b:','Linewidth',2)
ylim([60 90])
xlim([-3 0.1])
set(gca,'fontsize',10)
xlabel('$\Delta \overline{u}/U_0$,  $T/T_B=10$','fontsize',15)
legend({'Case 1', 'Case 2','Case 3','Case 4','Case 5','Case 6',},'Interpreter','Latex','location','southwest','fontsize',10)
grid on; box on
h1.Position = [1 1 1000 700];




