
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% figure3.m                                                               %
% Tyler Mixa, 11 July 2019                                                %
% plots figure 3                                                          %
%                                                                         %
%   required input files:                                                 %
%       figure3_data.mat                                                  %
%                                                                         %
%   required scripts:                                                     %
%       subplot_tight.m                                                   %
%                                                                         %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 


clearvars
close all
clc

set(0,'DefaultFigureWindowStyle','docked')
set(0,'DefaultTextInterpreter', 'latex')

spacing = [.15 .005];

load figure3_data.mat

figure(1)

clf
subplot_tight(2,2.9,1.2,spacing)
colormap(parula(30))
surf(time(1:51)./314,alt/1000,w_flux,'FaceColor','interp','Edgecolor','none')
view(0,90)
ylim([40 95]) 
xlim([time(1)/314 time(51)/314]) 
xlabel('$T/T_B$','fontsize',15)
ylabel('Alt (km)','fontsize',15)
title('$\left<w''^2\right>$ (m$^2/$s$^2$)','fontsize',15)
set(gca,'fontsize',15)
grid on
box on
set(gca,'layer','top','xtick',0:2:16,'ytick',40:10:90,'LineWidth',0.6,'GridColor',[.5 .5 .5],'gridalpha',.3)
ax1 = gca;
 ax1.YTickMode = 'manual';
 ax1.ColorScale = 'log';

uw_flux(isnan(uw_flux)) = 0;
 
subplot_tight(2,2.9,2.2,spacing)
surf(time(1:51)./314,alt/1000,abs(uw_flux),'FaceColor','interp','Edgecolor','none')
hold on
view(0,90)
ylim([40 95]) 
xlim([time(1)/314 time(51)/314]) 
xlabel('$T/T_B$','fontsize',15)
title('$-\left<u''w''\right>$ (m$^2$s$^{-2}$)','fontsize',15)
set(gca,'fontsize',15,'yticklabels',' ')
grid on
box on
set(gca,'layer','top','xtick',0:2:16,'ytick',40:10:90,'LineWidth',0.6,'GridColor',[.5 .5 .5],'gridalpha',.3)
ax = gca;
ax.YTickMode = 'manual';
ax.ColorScale = 'log';
c1 = colorbar;
caxis('manual')
caxis([10^-2 10^2.5])
c2.FontSize = 10;
c2.Location = 'west';
c2.TicksMode = 'manual';
c2.Ticks = [.1 1 10 100 1000];
c2.Ruler.Scale = 'log';



   
