
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% figure9_l.m                                                             %
% Tyler Mixa, 11 July 2019                                                %
% plots figure 9 left panel                                               %
%                                                                         %
%   required input files:                                                 %
%       figure9l_data.mat                                                 %
%                                                                         %
%   required scripts:                                                     %
%       subplot_tight.m                                                   %
%                                                                         %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 


clearvars
close all
clc
   
set(0,'DefaultFigureWindowStyle','docked')
set(0,'DefaultTextInterpreter', 'latex')

% set red-offwhitegray-blue colormap
num_contours = 500;
column1 = [0:.9/num_contours:.9,.9+.1/num_contours:.1/num_contours:1]';
column2 = [0:.9/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
column3 = [1:-.1/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
map = [column1,column2,column3];
colormap(map);

load figure9l_data.mat

figure(2)
box
cvals = -.15:.001:.15;  
hold on
x_loc_list = [9:11,11.89,13:15];

h8 = slice(ygrid/1000,xgrid/1000,alt/1000,vort_x,[],x_loc_list,[]);
for k = 1:length(x_loc_list)
    h8(k).FaceColor = 'interp';
    h8(k).EdgeColor = 'none';
    h8(k).DiffuseStrength = 0.8;
    h8(k).FaceAlpha = 1;
end   
    
h1 = slice(ygrid/1000,xgrid/1000,alt/1000,vort_y,.5,[],[]);
h1.FaceColor = 'interp';
h1.EdgeColor = 'none';
h1.DiffuseStrength = 0.8;

set(h8,'EdgeColor','none',...
'FaceColor','interp',...
'FaceAlpha',.7)
set(h1,'FaceAlpha','interp')
alpha(h1,'color')
alphamap('vdown')
alim('default')
alphamap('increase',.4)       
colormap(map)
caxis([-.18 .18])
axis equal
axis([0,1,8.5,15.5,77.5,81.5])
set(gca,'fontsize',15)
ylabel('Streamwise Domain (km)','fontsize',15)
xlabel('Spanwise Domain (km)','fontsize',15)
zlabel('Alt (km)','fontsize',15)
title('$\zeta_{x,y}$')
view(126,13) 

