
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 
% figure9_r.m                                                             %
% Tyler Mixa, 11 July 2019                                                %
% plots figure 9 right panel                                              %
%                                                                         %
%   required input files:                                                 %
%       figure9r_data.mat                                                 %
%                                                                         %
%   required scripts:                                                     %
%       subplot_tight.m                                                   %
%                                                                         %
% % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % % 


clearvars
close all
clc
   
set(0,'DefaultFigureWindowStyle','docked')
set(0,'DefaultTextInterpreter', 'latex')

% set red-offwhitegray-blue colormap
num_contours = 500;
column1 = [0:.9/num_contours:.9,.9+.1/num_contours:.1/num_contours:1]';
column2 = [0:.9/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
column3 = [1:-.1/num_contours:.9,.9-.9/num_contours:-.9/num_contours:0]';
map = [column1,column2,column3];
colormap(map); 


load figure9r_data.mat
    
figure(1)
clf
box
cvals = -.15:.001:.15;
hold on
x_loc_list = 9.5:1:15.5; 
h8 = slice(ygrid/1000,xgrid/1000,alt/1000,vort_x,[],x_loc_list,[]);
for k = 1:length(x_loc_list)
    h8(k).FaceColor = 'interp';
    h8(k).EdgeColor = 'none';
    h8(k).DiffuseStrength = 0.8;
    h8(k).FaceAlpha = 'interp';
end   

h1 = slice(ygrid/1000,xgrid/1000,alt/1000,vort_y,.5,[],[]);
h1.FaceColor = 'interp';
h1.EdgeColor = 'none';
h1.DiffuseStrength = 0.8;

set(h8,'EdgeColor','none',...
'FaceColor','interp',...
'FaceAlpha',1)
set(h1,'FaceAlpha','interp')
alpha(h1,'color')
alphamap('vdown')
alim('default')
alphamap('increase',.4)
colormap(map)
caxis([-.25 .2])
caxis([-.28 .28])
caxis([-.15 .15])
axis equal
xmin = 9;
xmax = 16;
altmin = 77;
altmax = 81;
axis([0,1,xmin,xmax,altmin,altmax])
set(gca,'fontsize',15)
ylabel('Streamwise Domain [$km$]','fontsize',15)
xlabel('Spanwise Domain [$km$]','fontsize',15)
zlabel('Alt [$km$]','fontsize',15)
title('$\zeta_{x,y}$')
daspect([.8 1 1])
view(110,12)
